#!/usr/bin/env node
import { diffDir, isDirectory } from "../lib/util.js";
import { Command } from "commander";
const program = new Command();

program
  .name("alu-json-diff")
  .description(
    "CLI to json patch. Note that when comparing two directories, the internal file structure needs to be the same."
  )
  .version("1.0.0");

program
  .argument("<oldSource>", "json folder path")
  .argument("<newSource>", "json folder path")
  .option(
    "-o, --output [path]",
    "redirect output structure to the directory or a json file. If source is a folder, output defaults to ./i18n-diff , if source is a json file, output defaults to ./result.json."
  )
  .action((oldSource, newSource, option) => {
    if (isDirectory(oldSource) && isDirectory(newSource)) {
      diffDir(oldSource, newSource, option);
    }
  });

program.parse();
